org.keycloak.protocol.oidc.mappers

## Class RoleNameMapper

- java.lang.Object
- - org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper
  - - org.keycloak.protocol.oidc.mappers.RoleNameMapper

- All Implemented Interfaces:
    OIDCAccessTokenMapper, ProtocolMapper, ConfiguredProvider, Provider, ProviderFactory<ProtocolMapper>

      public class RoleNameMapper
      extends AbstractOIDCProtocolMapper
      implements OIDCAccessTokenMapper

  Map an assigned role to a different position and name in the token
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NEW_ROLE_NAME`
    `static String` | `PROVIDER_ID`
    `static String` | `ROLE_CONFIG`

    - ### Fields inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `TOKEN_MAPPER_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleNameMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolMapperModel` | `create(String name, String role, String newName)`
    `List<ProviderConfigProperty>` | `getConfigProperties()`
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getHelpText()`
    `String` | `getId()`
    `int` | `getPriority()` Priority of this protocolMapper implementation.
    `AccessToken` | `transformAccessToken(AccessToken token, ProtocolMapperModel mappingModel, KeycloakSession session, UserSessionModel userSession, ClientSessionContext clientSessionCtx)`

    - ### Methods inherited from class org.keycloak.protocol.oidc.mappers.AbstractOIDCProtocolMapper

      `close, create, getProtocol, init, postInit, setClaim, setClaim, setClaim, transformAccessTokenResponse, transformIDToken, transformUserInfoToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.protocol.ProtocolMapper

      `validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `order`

- - ### Field Detail

    - #### ROLE_CONFIG

          public static final String ROLE_CONFIG

      See Also:
        Constant Field Values

    - #### NEW_ROLE_NAME

          public static String NEW_ROLE_NAME

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RoleNameMapper

          public RoleNameMapper()

  - ### Method Detail

    - #### getConfigProperties

          public List<ProviderConfigProperty> getConfigProperties()

      Specified by:
        `getConfigProperties` in interface `ConfiguredProvider`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<ProtocolMapper>`

    - #### getDisplayType

          public String getDisplayType()

      Specified by:
        `getDisplayType` in interface `ProtocolMapper`

    - #### getDisplayCategory

          public String getDisplayCategory()

      Specified by:
        `getDisplayCategory` in interface `ProtocolMapper`

    - #### getHelpText

          public String getHelpText()

      Specified by:
        `getHelpText` in interface `ConfiguredProvider`

    - #### getPriority

          public int getPriority()

      Description copied from interface: `ProtocolMapper`
      Priority of this protocolMapper implementation. Lower goes first.
      Specified by:
        `getPriority` in interface `ProtocolMapper`
      Returns:

    - #### transformAccessToken

          public AccessToken transformAccessToken(AccessToken token,
                                                  ProtocolMapperModel mappingModel,
                                                  KeycloakSession session,
                                                  UserSessionModel userSession,
                                                  ClientSessionContext clientSessionCtx)

      Specified by:
        `transformAccessToken` in interface `OIDCAccessTokenMapper`
      Overrides:
        `transformAccessToken` in class `AbstractOIDCProtocolMapper`

    - #### create

          public static ProtocolMapperModel create(String name,
                                                   String role,
                                                   String newName)

Copyright © 2020 JBoss by Red Hat. All rights reserved.